﻿html {
  position: relative;
  min-height: 100%;
}

body {
  padding-top: 100px;
  /*padding-bottom: 20px;*/
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  /*margin-bottom: 60px;*/
}

@media (max-width: 991px) {
  .navbar-header {
    float: none;
  }

  .navbar-left,
  .navbar-right {
    float: none !important;
  }

  .navbar-toggle {
    display: block;
  }

  .navbar-collapse {
    border-top: 1px solid transparent;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.1);
  }

  .navbar-fixed-top {
    top: 0;
    border-width: 0 0 1px;
  }

  .navbar-collapse.collapse {
    display: none !important;
  }

  .navbar-nav {
    float: none !important;
    margin-top: 7.5px;
  }

  .navbar-nav>li {
    float: none;
  }

  .navbar-nav>li>a {
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .collapse.in {
    display: block !important;
  }
}

/* override bootstrap h fonts*/
h1,
h2,
h3,
h4 {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
}

a,
a:hover,
a:visited {
  color: #36c60c;
}

/* Set padding to keep content from hitting the edges */
.body-content {
  padding-left: 15px;
  padding-right: 15px;
  min-height: 80vh;
}

.infoPicture {
  width: 100%;
  /*max-width: 1100px;*/
  margin: auto;
  margin-top: 20px;
  margin-bottom: 20px;
}

.sensorpanel {
  font-family: Roboto;
  font-size: 1.1em;
  line-height: 1.5em;
  margin: 30px;
}

.sensorpanel .col-md-4 {
  font-weight: bold;
  margin-bottom: 10px;
}

.sensorpanel .col-md-8 {
  margin-bottom: 20px;
}

#stationsinfo .ui-accordion .ui-accordion-header {
  font-size: 120%;
  margin-bottom: 20px;
}

#stationsinfo .ui-accordion .ui-accordion-header:hover {
  background-color: #ddd;
}

.sensorpanel ul {
  padding-left: 20px;
}

#stationsinfo p {
  font-size: 1.2em;
  line-height: 1.5em;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
  white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
  max-width: 280px;
}

/* bootstrap top buffer for rows */
.top-buffer {
  margin-top: 20px;
}


.apiresults {
  margin-top: 10px;
}

#currentValuesTable {
  width: 100%;
}

#currentValuesTable td {
  padding: 5px;
}

.tableValueCell {
  text-align: right;
  font-size: 150%;
  color: #36c60c;
}

.currentValuesListItem {

  vertical-align: baseline;
  border-bottom: 1px solid #ffffff;
}

.currentValuesListItem:hover {
  /*background-color: #ebebeb;
    border-bottom: 1px solid #c8c8c8;*/
}

#currentValuesTable .selected {
  /*font-weight: bold;*/
  background-color: #f6f6f6;
  color: #000000;
}

.dailyPlotGraph {
  margin-top: 20px;
  width: 100%;
  min-height: 200px;
  height: 50vh;
}

.dailyPlotGraphLarge {
  margin-top: 20px;
  width: 100%;
  height: 500px;
}

.seriesSelection h6 {
  font-size: 14px;
  border-bottom: 1px solid #eeeeee;
  margin-top: 20px;
  font-family: Roboto, Arial;
}

.mostrecentvalues {
  margin-bottom: 50px;
  margin-left: 40px;
}

.toggle {
  cursor: pointer;
  color: #36c60c;
}

.circle {
  width: 10px;
  height: 10px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}

#downloadPreview pre {
  max-height: 400px;
  overflow-x: hidden;
  overflow-y: scroll;
}

.footer {
  /*position: absolute;
    bottom: -220px;
    left: 0;*/
  width: 100%;
  /*height: 220px;*/
  background-color: #333333;
  /*border-top: 1px solid #c8c8c8;*/
  color: #c8c8c8;
  /*text-align: center;*/
  padding-top: 50px;
  padding-bottom: 50px;
  /*position: absolute;*/
  margin-top: 50px;
}

.navbar-brand,
.navbar-nav>li>a {
  line-height: 80px;
  height: 80px;
  padding-top: 0;
  color: #ffffff;
}

.navbar-inverse {
  background-color: #1c6a1e;
  border: none;
  background-image: url("../images/leute.png");
  background-size: 140px 80px;
  background-repeat: no-repeat;
  background-position: 75% 4px;
}

.navbar-inverse .navbar-brand,
.navbar-inverse .navbar-nav>li>a {
  color: #ffffff;
}

.navbar-inverse .navbar-brand:hover,
.navbar-inverse .navbar-nav>li>a:hover,
.navbar-inverse .navbar-nav>li>a:focus {
  color: #eeb300;
  background-color: transparent;
}

#sunrisesunset {
  margin-top: 20px;
}

#minutebar {
  background-color: rgb(238, 195, 0);
  /*border-top: 1px solid #fff;*/
  height: 3px;
  margin-top: -20px;
  width: 0%;
}

.navbar-inverse .navbar-nav>.open>a,
.navbar-inverse .navbar-nav>.open>a:hover,
.navbar-inverse .navbar-nav>.open>a:focus {
  color: #eeb300;
  background-color: #144915;
}

.navbar-inverse .navbar-nav .open .dropdown-menu>li>a {
  color: #ffffff;
}

.dropdown-menu {
  background-color: #1c6a1e;
}

.dropdown-menu>li>a:hover,
.dropdown-menu>li>a:focus {
  color: #eeb300;
  background-color: #144915;
}

.imgIcon {
  height: 18px;
  max-width: 25px;
  margin-right: 5px;
  margin-left: 10px;
}

#solardata {
  vertical-align: baseline;
}

.adminTextarea {
  height: 200px;
  overflow-y: scroll;
}

.solarcalendarGraph {
  height: 100px;
  width: 100%;
}

.wi {
  color: #eeb300;
}

#mostrecentquickinfo {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
}